DL_SS Class Reference

Discrete Log (DL) signature scheme. More...

## Public Types

typedef PK_FinalTemplate< DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< DL_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

Discrete Log (DL) signature scheme.

Template Parameters

  KEYS | keys used in the signature scheme
  SA | signature algorithm
  MEM | message encoding method
  H | hash function
  ALG_INFO | algorithm information

Definition at line 2217 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h